Package org.tukaani.xz

## Class IA64Options

- java.lang.Object
- - org.tukaani.xz.FilterOptions
  - - org.tukaani.xz.IA64Options

All Implemented Interfaces:
  `Cloneable`

    public class IA64Options
    extends FilterOptions

BCJ filter for Itanium (IA-64) instructions.

### Constructor Summary

Constructors
`IA64Options()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`int` `getDecoderMemoryUsage()` Gets how much memory the decoder will need to decompress the data that was encoded with these options.
`int` `getEncoderMemoryUsage()` Gets how much memory the encoder will need with these options.
`InputStream` `getInputStream​(InputStream in, ArrayCache arrayCache)` Gets a raw (no XZ headers) decoder input stream using these options and the given ArrayCache.
`FinishableOutputStream` `getOutputStream​(FinishableOutputStream out, ArrayCache arrayCache)` Gets a raw (no XZ headers) encoder output stream using these options and the given ArrayCache.
`int` `getStartOffset()` Gets the start offset.
`void` `setStartOffset​(int startOffset)` Sets the start offset for the address conversions.

### Methods inherited from class org.tukaani.xz.FilterOptions

`getDecoderMemoryUsage, getEncoderMemoryUsage, getInputStream, getOutputStream`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IA64Options

    public IA64Options()

### Method Detail

#### getOutputStream

    public FinishableOutputStream getOutputStream​(FinishableOutputStream out,
                                                  ArrayCache arrayCache)

Description copied from class: `FilterOptions`
Gets a raw (no XZ headers) encoder output stream using these options and the given ArrayCache. Raw streams are an advanced feature. In most cases you want to store the compressed data in the .xz container format instead of using a raw stream. To use this filter in a .xz file, pass this object to XZOutputStream.

Specified by:
  `getOutputStream` in class `FilterOptions`

#### getInputStream

    public InputStream getInputStream​(InputStream in,
                                      ArrayCache arrayCache)

Description copied from class: `FilterOptions`
Gets a raw (no XZ headers) decoder input stream using these options and the given ArrayCache.

Specified by:
  `getInputStream` in class `FilterOptions`

#### setStartOffset

    public void setStartOffset​(int startOffset)
                        throws UnsupportedOptionsException

Sets the start offset for the address conversions. Normally this is useless so you shouldn't use this function. The default value is `0`.

Throws:
  `UnsupportedOptionsException`

#### getStartOffset

    public int getStartOffset()

Gets the start offset.

#### getEncoderMemoryUsage

    public int getEncoderMemoryUsage()

Description copied from class: `FilterOptions`
Gets how much memory the encoder will need with these options.

Specified by:
  `getEncoderMemoryUsage` in class `FilterOptions`

#### getDecoderMemoryUsage

    public int getDecoderMemoryUsage()

Description copied from class: `FilterOptions`
Gets how much memory the decoder will need to decompress the data that was encoded with these options.

Specified by:
  `getDecoderMemoryUsage` in class `FilterOptions`

#### clone

    public Object clone()

Overrides:
  `clone` in class `Object`